MCP Gateway
ApiPrompt management

Toggle prompt active state

Enable or disable a prompt override.

PATCH
/api/v1/settings/prompts/{slug}

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

Path Parameters

slug*string
access_token?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

is_active*boolean

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/settings/prompts/string" \  -H "Content-Type: application/json" \  -d '{    "is_active": true  }'
{
  "slug": "string",
  "description": "string",
  "category": "string",
  "base_content": "string",
  "custom_content": "string",
  "is_active": true,
  "variables": [
    "string"
  ],
  "updated_at": "string",
  "updated_by": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}